#include <stdio.h>

static const int suppress;
#define SUPPRESS_PTR	((void *)&suppress)

void
func(char * __restrict p)
{

	printf("p=%p vs. SUPPRESS_PTR=%p\n", p, SUPPRESS_PTR);

	if (p == SUPPRESS_PTR)
		printf("p == SUPPRESS_PTR\n");
	else
		printf("p != SUPPRESS_PTR -> WRONG\n");
}

int
main(int argc, char *argv [])
{
	char *p;

	p = SUPPRESS_PTR;
	func(p);

	return (0);
}

